Bug 16237 - Pump workaround for semi-broken DHCP/BOOTP servers
Pump workaround for semi-broken DHCP/BOOTP servers
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: FutureFeature
: 7516 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-08-15 10:29 EDT by Frank Sweetser
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-16 09:33:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pump option to ignore bootp responses in favor of dhcp only (2.64 KB, patch)
2000-08-15 10:30 EDT, Frank Sweetser
no flags Details | Diff

  None (edit)
Description Frank Sweetser 2000-08-15 10:29:19 EDT
Some networks (such as ours :P ) have semi-broken setups, where both bootp
and dhcp servers are active.  This kind of setup works under Windows, as
Windows will collect all responses from both sets of servers, and use the
union of the answers.  Under pump, though, if the bootp packets (which, due
to bootp limitations, may not have all needed values) happen to get in
first, then dhcp responses will be ignored.  The patch adds the --no-bootp
command line option and a nobootp option in /etc/pump.conf which allows
pump to ignore the bootp responses.  It acts as an effective workaround on
semi-broken setups such as ours.
Comment 1 Frank Sweetser 2000-08-15 10:30:15 EDT
Created attachment 2499 [details]
pump option to ignore bootp responses in favor of dhcp only
Comment 2 Elliot Lee 2001-07-19 17:03:41 EDT
Applying patch even though pump is obsoleted by dhcpcd in rawhide. Thanks.

Apologies for the unresponsiveness of the previous pump packager...
Comment 3 Elliot Lee 2001-07-19 17:54:14 EDT
*** Bug 7516 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.